zenilib: TGraphArgument Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TGraphArgument Class Reference

`#include <DependencyGraph.h>`

Inherits TGraphParentNode.

## Public Member Functions

| TGraphArgument (TIntermAggregate *intermFunctionCall, int argumentNumber)
virtual | ~TGraphArgument ()
int | getArgumentNumber () const
const TIntermAggregate * | getIntermFunctionCall () const
virtual void | traverse (TDependencyGraphTraverser *graphTraverser)
Public Member Functions inherited from TGraphParentNode
| TGraphParentNode (TIntermNode *node)
virtual | ~TGraphParentNode ()
void | addDependentNode (TGraphNode *node)
Public Member Functions inherited from TGraphNode
| TGraphNode (TIntermNode *node)
virtual | ~TGraphNode ()

## Additional Inherited Members

Protected Attributes inherited from TGraphNode
TIntermNode * | intermNode

## Detailed Description

Definition at line 59 of file DependencyGraph.h.

## Constructor & Destructor Documentation

TGraphArgument::TGraphArgument | ( | TIntermAggregate * | intermFunctionCall,
|  | int | argumentNumber
| ) |  |

inline

Definition at line 61 of file DependencyGraph.h.

virtual TGraphArgument::~TGraphArgument | ( |  | ) |

inlinevirtual

Definition at line 64 of file DependencyGraph.h.

## Member Function Documentation

int TGraphArgument::getArgumentNumber | ( |  | ) | const

inline

Definition at line 66 of file DependencyGraph.h.

Referenced by TDependencyGraphOutput::visitArgument(), and RestrictFragmentShaderTiming::visitArgument().

const TIntermAggregate* TGraphArgument::getIntermFunctionCall | ( |  | ) | const

inline

Definition at line 65 of file DependencyGraph.h.

References TIntermNode::getAsAggregate(), and TGraphNode::intermNode.

Referenced by TDependencyGraphOutput::visitArgument(), and RestrictFragmentShaderTiming::visitArgument().

void TGraphArgument::traverse | ( | TDependencyGraphTraverser * | graphTraverser | ) |

virtual

Reimplemented from TGraphParentNode.

Definition at line 35 of file DependencyGraphTraverse.cpp.

References TGraphParentNode::traverse(), and TDependencyGraphTraverser::visitArgument().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraph.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphTraverse.cpp